package com.sptg.device.api.vo;

import java.util.Date;
import java.util.List;

public class ManualPushDevicesTask {

    private List<Long> deviceIdList;
    private Object data;
    private Boolean isEnable;
    private Integer operType; //操作类型，1：新增、2：更新，3：删除
    private Date beginDate;
    private Date endDate;
    private String adminPsw; //设备管理密码

    public List<Long> getDeviceIdList() {
        return deviceIdList;
    }

    public void setDeviceIdList(List<Long> deviceIdList) {
        this.deviceIdList = deviceIdList;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public Boolean getEnable() {
        return isEnable;
    }

    public void setEnable(Boolean enable) {
        isEnable = enable;
    }

    public Integer getOperType() {
        return operType;
    }

    public void setOperType(Integer operType) {
        this.operType = operType;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getAdminPsw() {
        return adminPsw;
    }

    public void setAdminPsw(String adminPsw) {
        this.adminPsw = adminPsw;
    }
}
